Subject: Re: bug#49629: 27.2; electric-pair-mode doesn't work for angle brackets in HTML file

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 01:34:52 +0200

Allen Li <[email-masked]> writes:

> What I've found so far is that using Edebug to step through
> electric-pair-skip-if-helps-balance, if I manually step past
> (delete-char -1) and then press g (edebug-go-mode) then the bug
> disappears.  Pressing g before stepping past (delete-char -1) causes
> the bug.

If I remember correctly, electric-pair-mode works by doing a lot of
magic in `post-self-insert-hook'?  In my experience, trying to edebug
through code when that hook is running often leads to peculiar results.

That is, you have to debug via other means when trying to see what's
actually happening here, I think.  (I.e., adding `message's all over the
place and other tedious things...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no